Package net.shibboleth.shared.httpclient

# Class RequestTimeoutExceededException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
net.shibboleth.shared.httpclient.RequestTimeoutExceededException

All Implemented Interfaces:
  `Serializable`

public class RequestTimeoutExceededException extends IOException
Exception that indicates that an HTTP client request exceeded a request timeout.

See Also:
  - `RequestTimeLimitingHttpClient`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`

## Constructor Summary

Constructors
Constructor
Description
`RequestTimeoutExceededException()`
Constructor.
`RequestTimeoutExceededException(String message)`
Constructor.
`RequestTimeoutExceededException(String message, Throwable cause)`
Constructor.
`RequestTimeoutExceededException(Throwable cause)`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID

See Also:
  - Constant Field Values

## Constructor Details

### RequestTimeoutExceededException

public RequestTimeoutExceededException()
Constructor.

### RequestTimeoutExceededException

public RequestTimeoutExceededException(@Nullable String message, @Nullable Throwable cause)
Constructor.

Parameters:
  `message` - exception message
  `cause` - exception cause

### RequestTimeoutExceededException

public RequestTimeoutExceededException(@Nullable String message)
Constructor.

Parameters:
  `message` - exception message

### RequestTimeoutExceededException

public RequestTimeoutExceededException(@Nullable Throwable cause)
Constructor.

Parameters:
  `cause` - exception cause